Loading...
Searching...
No Matches
Create directories in a working copy or repository.
Client working copy management

## Functions

svn_error_t * | svn_client_mkdir4 (const apr_array_header_t *paths, svn_boolean_t make_parents, const apr_hash_t *revprop_table, svn_commit_callback2_t commit_callback, void *commit_baton, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Create a directory, either in a repository or a working copy.
svn_error_t * | svn_client_mkdir3 (svn_commit_info_t **commit_info_p, const apr_array_header_t *paths, svn_boolean_t make_parents, const apr_hash_t *revprop_table, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Similar to svn_client_mkdir4(), but returns the commit info in *commit_info_p rather than through a callback function.
svn_error_t * | svn_client_mkdir2 (svn_commit_info_t **commit_info_p, const apr_array_header_t *paths, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Same as svn_client_mkdir3(), but with make_parents always FALSE, and revprop_table always NULL.
svn_error_t * | svn_client_mkdir (svn_client_commit_info_t **commit_info_p, const apr_array_header_t *paths, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Same as svn_client_mkdir2(), but takes the svn_client_commit_info_t type for commit_info_p.

## Detailed Description

## Function Documentation

## svn_client_mkdir()

svn_error_t * svn_client_mkdir | ( | svn_client_commit_info_t ** | commit_info_p,
|  | const apr_array_header_t * | paths,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool )

Same as svn_client_mkdir2(), but takes the svn_client_commit_info_t type for commit_info_p.

Deprecated
  Provided for backward compatibility with the 1.2 API.

## svn_client_mkdir2()

svn_error_t * svn_client_mkdir2 | ( | svn_commit_info_t ** | commit_info_p,
|  | const apr_array_header_t * | paths,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool )

Same as svn_client_mkdir3(), but with make_parents always FALSE, and revprop_table always NULL.

Since
  New in 1.3.

Deprecated
  Provided for backward compatibility with the 1.4 API.

References SVN_DEPRECATED.

## svn_client_mkdir3()

svn_error_t * svn_client_mkdir3 | ( | svn_commit_info_t ** | commit_info_p,
|  | const apr_array_header_t * | paths,
|  | svn_boolean_t | make_parents,
|  | const apr_hash_t * | revprop_table,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool )

Similar to svn_client_mkdir4(), but returns the commit info in *commit_info_p rather than through a callback function.

Since
  New in 1.5.

Deprecated
  Provided for backward compatibility with the 1.6 API.

References SVN_DEPRECATED.

## svn_client_mkdir4()

svn_error_t * svn_client_mkdir4 | ( | const apr_array_header_t * | paths,
|  | svn_boolean_t | make_parents,
|  | const apr_hash_t * | revprop_table,
|  | svn_commit_callback2_t | commit_callback,
|  | void * | commit_baton,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool )

Create a directory, either in a repository or a working copy.

paths is an array of (const char *) paths, either all local WC paths or all URLs.

If paths contains URLs, use the authentication baton in ctx and message to immediately attempt to commit the creation of the directories in paths in the repository.

Else, create the directories on disk, and attempt to schedule them for addition (using svn_client_add(), whose docstring you should read).

If make_parents is TRUE, create any non-existent parent directories also.

If non-NULL, revprop_table is a hash table holding additional, custom revision properties (const char * names mapped to svn_string_t * values) to be set on the new revision in the event that this is a committing operation. This table cannot contain any standard Subversion properties.

ctx->log_msg_func3/ctx->log_msg_baton3 are a callback/baton combo that this function can use to query for a commit log message when one is needed.

If ctx->notify_func2 is non-NULL, when the directory has been created (successfully) in the working copy, call ctx->notify_func2 with ctx->notify_baton2 and the path of the new directory. Note that this is only called for items added to the working copy.

If commit_callback is non-NULL, then for each successful commit, call commit_callback with commit_baton and a svn_commit_info_t for the commit.

Since
  New in 1.7.

References SVN_DEPRECATED.